CREATE OR REPLACE  PROCEDURE dodaj_ksiazke (czy_nowa_we IN VARCHAR2, isbn_we IN VARCHAR2,
      kod_kres_we IN VARCHAR2, tytu_we IN VARCHAR2, autor_we IN VARCHAR2,
      liczba_stron_we IN NUMBER, stresz_we IN VARCHAR2 DEFAULT NULL,
      rok_wyd_we IN NUMBER DEFAULT NULL, oprawa_we IN VARCHAR2 DEFAULT NULL)

AS
BEGIN

/* Sprawdzenie poprawnoci danych wejciowych */
  IF isbn_we IS NULL
  THEN
    RAISE VALUE_ERROR;
  END IF;

 IF czy_nowa_we='tak'
 THEN  /* Wstawienie rekordw do tabel "ksiki" i "egzemplarze" */
INSERT INTO ksiki (isbn, tytu, autor, rok_wyd, liczba_stron, oprawa, streszczenie)
  VALUES (isbn_we, tytu_we, autor_we, rok_wyd_we, liczba_stron_we, oprawa_we, stresz_we);
INSERT INTO egzemplarze (isbn, kod_kres)
        VALUES (isbn_we, kod_kres_we);
  END IF;

 IF czy_nowa_we='nie'
 THEN  /* Wstawienie rekordu tylko do tabeli "egzemplarze" */
INSERT INTO egzemplarze (isbn, kod_kres)
        VALUES (isbn_we, kod_kres_we);
  END IF;

commit;
END dodaj_ksiazke;
/